gestion_wallet_ilink_hyp.php File Reference

## Functions

| convertDate ($date)

## Variables

table table tr | td
table table th | i
margin | __pad26__
cursor | __pad27__
table table | th
table table td | a
display | __pad28__
margin | __pad29__
min | width
table table td a | add
table table td a | edit
table table td a | delete
margin | right
position | __pad30__
top | __pad31__
table table form | control
line | height
box | shadow
border | radius
| error
| $context = new \Brick\Money\Context\AutoContext()
| $month = time()
| $months [] =convertDate(date("M"))
| $label_months [] = date("M")." ".date("Y")
| $years [] = date("Y")
for($i=1; $i<=11; $i++) | $date = date("Y")
| $retraits_data [] = ''
for($i=1; $i<=12; $i++) | $startDate = (new DateTime('01-'.$months[11].'-'.$years[11]))-> format('Y-m-d H:i:s')
| $endDate = date_create_from_format ('m/Y',$months[0].'/'.$years[0])-> format('Y-m-d H:i:s')
| $retraits
| $depots_data [] = ''
for($i=1; $i<=12; $i++) | $depots
if($transactions!=false) | else
| $fmt = new NumberFormatter( 'fr_FR', NumberFormatter::DECIMAL )
| $site_url = base_url()
| if ( $alert=="ok")
| Pie = '<?php echo json_encode($pieChart)
const | salt = $(this).data('salt')
const | encrypted_password = $(this).data('encrypted_password')

## Function Documentation

## convertDate()

convertDate | ( |  | $date | ) |

## Variable Documentation

## $context

$context = new \Brick\Money\Context\AutoContext()

## $date

$date = date("Y")

Retraits

Dépots

## $depots

for ( $i=1;$i<=12;$i++) $depots

Initial value:
= array_filter($transactions, function ($trans) use ($i, $endDate ,$startDate){
$date = strtotime($trans->date);
return $trans->type_transaction == 'depot' ;
})

## $depots_data

$depots_data = ''

## $endDate

$endDate = date_create_from_format ('m/Y',$months[0].'/'.$years[0])-> format('Y-m-d H:i:s')

## $fmt

$fmt = new NumberFormatter( 'fr_FR', NumberFormatter::DECIMAL )

## $label_months

$label_months[] = date("M")." ".date("Y")

## $month

$month = time()

## $months

$months[] =convertDate(date("M"))

## $retraits

$retraits

Initial value:
= array_filter($transactions, function ($trans) use ($i, $endDate ,$startDate){
$date = strtotime($trans->date);
return $trans->type_transaction == 'retrait' ;
})

## $retraits_data

$retraits_data = ''

## $site_url

$site_url = base_url()

## $startDate

for ( $i=1;$i<=12;$i++) $startDate = (new DateTime('01-'.$months[11].'-'.$years[11]))-> format('Y-m-d H:i:s')

## $years

$years[] = date("Y")

## __pad26__

margin __pad26__

## __pad27__

cursor __pad27__

## __pad28__

display __pad28__

## __pad29__

margin __pad29__

## __pad30__

position __pad30__

## __pad31__

top __pad31__

## a

table table td a

Initial value:
{
cursor: pointer

## add

table table td add

Initial value:
{
color: #27C46B

## control

table table form control

Initial value:
{
height: 32px

## delete

table table td a delete

Initial value:
{
color: #E34724

## edit

table table td a edit

Initial value:
{
color: #FFC107

## else

if ($('#rechargeAccountForm')[0].checkValidity()) else

Initial value:
{
$pieChart = array()

## encrypted_password

const encrypted_password = $(this).data('encrypted_password')

## error

error

Initial value:
{
border-color: #f50000

## height

line height

## i

table table td a add i

Initial value:
{
font-size: 13px

## if

if($walletPassword !=null)

## Pie

Pie = '<?php echo json_encode($pieChart)

## radius

border radius

## right

margin right

## salt

const salt = $(this).data('salt')

## shadow

box shadow

## td

table table tr td

Initial value:
{
border-color: #e9e9e9

## th

table table th

## width

min width

$pieChart
$pieChart[]
Definition: gestion_wallet.php:127
$endDate
$endDate
Definition: gestion_wallet_ilink_hyp.php:170
height
line height
Definition: gestion_wallet_ilink_hyp.php:80
$date
for($i=1; $i<=11; $i++) $date
Definition: gestion_wallet_ilink_hyp.php:156
$startDate
for($i=1; $i<=12; $i++) $startDate
Definition: gestion_wallet_ilink_hyp.php:169